/// <reference types="node" />
import { Stats } from 'fs';
import { SnowpackConfig } from '../config';
import { ImportMap } from '../util';
interface ImportResolverOptions {
    fileLoc: string;
    webModulesPath: string;
    dependencyImportMap: ImportMap | null | undefined;
    isDev: boolean;
    isBundled: boolean;
    config: SnowpackConfig;
}
/** Perform a file disk lookup for the requested import specifier. */
export declare function getImportStats(dirLoc: string, spec: string): Stats | false;
/**
 * Create a import resolver function, which converts any import relative to the given file at "fileLoc"
 * to a proper URL. Returns false if no matching import was found, which usually indicates a package
 * not found in the import map.
 */
export declare function createImportResolver({ fileLoc, webModulesPath, dependencyImportMap, isDev, isBundled, config, }: ImportResolverOptions): (spec: string) => string | false;
export {};
